using SqlSugar;

namespace OpenAuth.Repository.Domain.GoView;

/// <summary>
/// 项目数据模型类
/// </summary>
[SugarTable("t_goview_project_data")]
public class GoviewProjectData
{
    [SugarColumn(IsPrimaryKey = true,ColumnName = "id")]
    public string Id { get; set; }

    [SugarColumn(ColumnName = "project_id")]
    public string ProjectId { get; set; }

    [SugarColumn(IsNullable = true, ColumnName = "create_time")]
    public string CreateTime { get; set; }

    // 创建人
    [SugarColumn(ColumnName = "create_user_id")]
    public string CreateUserId { get; set; }

    [SugarColumn(ColumnName = "content")] public string Content { get; set; }
}